API available for accessing webcam
Emotion » API available for manipulating Emotion object.

## Functions

EMOTION_API const Eina_List * | emotion_webcams_get (void)
| Get a list of active and available webcam.
EMOTION_API const char * | emotion_webcam_name_get (const Emotion_Webcam *ew)
| Get the human understandable name of a Webcam.
EMOTION_API const char * | emotion_webcam_device_get (const Emotion_Webcam *ew)
| Get the uri of a Webcam that will be understood by emotion.

## Detailed Description

## Function Documentation

## emotion_webcams_get()

EMOTION_API const Eina_List * emotion_webcams_get | ( | void |  | ) |

Get a list of active and available webcam.

Returns
  the list of available webcam at the time of the call.

It will return the current live list of webcam. It is updated before triggering EMOTION_WEBCAM_UPDATE and should never be modified.

Examples
  emotion_test_main.c.

References EINA_SAFETY_ON_NULL_RETURN_VAL.

## emotion_webcam_name_get()

EMOTION_API const char * emotion_webcam_name_get | ( | const Emotion_Webcam * | ew | ) |

Get the human understandable name of a Webcam.

Parameters

  ew | The webcam to get the name from.

Returns
  the actual human readable name.

Examples
  emotion_test_main.c.

References EINA_SAFETY_ON_NULL_RETURN_VAL.

## emotion_webcam_device_get()

EMOTION_API const char * emotion_webcam_device_get | ( | const Emotion_Webcam * | ew | ) |

Get the uri of a Webcam that will be understood by emotion.

Parameters

  ew | The webcam to get the uri from.

Returns
  the actual uri that emotion will later understood.

Examples
  emotion_test_main.c.

References EINA_SAFETY_ON_NULL_RETURN_VAL.